Webhooky katalogu
Seznam webhooků
Výpis všech webhook odběrů pro váš katalog
GET
/
catalog
/
webhooks
List catalog webhook endpoints
curl --request GET \
--url https://app.productlasso.com/api/v1/catalog/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.productlasso.com/api/v1/catalog/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.productlasso.com/api/v1/catalog/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"webhooks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"events": [
"product.created"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
]
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}⌘I
List catalog webhook endpoints
curl --request GET \
--url https://app.productlasso.com/api/v1/catalog/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.productlasso.com/api/v1/catalog/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.productlasso.com/api/v1/catalog/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"webhooks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"events": [
"product.created"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}
]
}{
"status_code": 123,
"error_type": "invalid_request",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"retryable": true,
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attribute_key": "<string>",
"details": {},
"current_updated_at": "2023-11-07T05:31:56Z"
}
